Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Robert Pluim <[email-masked]>
Date: Mon, 24 Apr 2023 15:01:59 +0200

>>>>> On Mon, 24 Apr 2023 12:43:21 +0100, João Távora <[email-masked]> said:

    João> On Mon, Apr 24, 2023 at 10:38 AM Robert Pluim <[email-masked]> wrote:
    >> 
    >> >>>>> On Mon, 24 Apr 2023 09:57:43 +0100, João Távora <[email-masked]> said:
    >> >> I use eglot on emacs-29, but have never installed it (and I never run
    >> >> emacs-28 any more :-))
    >> >>
    >> 
    João> Also noted. Eglot on Emacs 29 is generally the most stable version of it
    João> you can get. However is has less features. Expect the gap to grow with
    João> time. Some fringe LSP servers are also better supported on later versions.
    >> 
    >> There are too many things going on to attempt to keep up to date with
    >> them all :-)

    João> Perfectly reasonable.  It would be rather unwise to force a newer
    João> version of Eglot on you.  Do let me know if you find any bugs in
    João> the Emacs 29 eglot.el, which is version 1.12.29. The pretest is here
    João> for that.

I will, although I use clangd which I suspect is pretty heavily tested
anyway.

    >> Explicitly in my init file, no. The only package installation and
    >> upgrading I do is via `list-packages', for the usual suspects like
    >> magit and helm. And even that I do reluctantly, since something always
    >> seems to break.

    João> That's likely something to bring up with the maintainers of
    João> said packages (which aren't GNU ELPA btw).  I don't even use
    João> them (I use stock VC and stock M-x fido-vertical-mode).

I donʼt think magit or helm are to blame here.

    João> But do you have any suspicion if that is related to upgrade of
    João> dependencies, or -- more to the point of this bug report --
    João> to upgrade of :core dependencies?

`list-packages' seems to get confused about which dependent packages
need to be uninstalled, and sometimes uninstalls too many (or maybe it
fails to upgrade them, Iʼm not sure). I then get errors about 'package
bar requires package foo version 1.12, only found 1.11' or similar.

Every time it happens I manually install the packages that should not
have been uninstalled, and get on with other things, since I donʼt
normally have time to spend on creating a minimal test case.

Now you understand why I only upgrade my packages every couple of
months.

Robert
--